package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclPractitionerHiringWorkingExperience;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AclPractitionerHiringWorkingExperienceMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclPractitionerHiringWorkingExperience record);

    int insertSelective(AclPractitionerHiringWorkingExperience record);

    AclPractitionerHiringWorkingExperience selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclPractitionerHiringWorkingExperience record);

    int updateByPrimaryKey(AclPractitionerHiringWorkingExperience record);

    int updateBatch(List<AclPractitionerHiringWorkingExperience> list);

    int updateBatchSelective(List<AclPractitionerHiringWorkingExperience> list);

    int batchInsert(@Param("list") List<AclPractitionerHiringWorkingExperience> list);

    List<AclPractitionerHiringWorkingExperience> selectByHiringBasicInfoId(Long hiringBasicInfoId);

    void deleteBatchByIds(List<AclPractitionerHiringWorkingExperience> resultList);
}